Skip to main content
GET
Get a skill

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

skill_id
string
required

Skill identifier returned by create or GET /v1/skills

Query Parameters

revision
string

Opaque revision token; when omitted, the active revision is used

Response

The skill

skill_id
string
required

Skill identifier

name
string

Skill name, read from the bundle's SKILL.md

description
string

Skill description, read from the bundle's SKILL.md

revision
string

Opaque token of the revision returned in this response; the latest revision, or the specific one requested via revision

latest_revision
string

Opaque token of the skill's current latest revision; pass as expected_revision to update or delete

created_at
string<date-time>
updated_at
string<date-time>